#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "DBDTunableRowHandle.h"
#include "EHealthState.h"
#include "S38P03OnGroundStatusEffect.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class US38P03OnGroundStatusEffect : public UStatusEffect
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _recoverSpeedBonus;

private:
	UFUNCTION(BlueprintCallable)
	void Authority_OnHealthStateChanged(EHealthState oldHealthState, EHealthState newHealthState);

public:
	US38P03OnGroundStatusEffect();
};

FORCEINLINE uint32 GetTypeHash(const US38P03OnGroundStatusEffect) { return 0; }
